#
# spec file for package libtranscript
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtranscript
%define lname	libtranscript1
Version:        0.3.2
Release:        lp152.3.7
Summary:        A character set conversion library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/libtranscript.html

#Git-Clone:	git://github.com/gphalkes/transcript
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  pkg-config
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
libtranscript is a character set conversion library which allows
great control over the conversion.

%package -n %lname
Summary:        A character conversion library
Group:          System/Libraries

%description -n %lname
libtranscript is a character set conversion library which allows
great control over the conversion.

%package devel
Summary:        Development files for libtranscript, a character conversion library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libtranscript is a character set conversion library which allows
great control over the conversion.

This subpackage contains libraries and header files for developing
applications that want to make use of libtranscript.

%prep
%setup -q

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libtranscript.so.1*
%doc COPYING
%_libdir/transcript1/

%files devel
%defattr(-,root,root)
%_includedir/transcript/
%_libdir/libtranscript.so
%_libdir/pkgconfig/libtranscript.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%changelog
* Sun Mar 29 2015 jengelh@inai.de
- specfile metadata cleanup
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.3.2
  * Re-release of version 0.3.1 to update the configure script.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.3.1
  * This release removes support for Windows-21866 character set.
  This should be the same as the KOI8-U character set (which is
  supported). Furthermore, this release properly handles unpaired
  high surrogates in a UTF-8 stream and uses a script to install
  the required symbolic links, instead of the linkltc program.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.3.0) for build.opensuse.org
